Subject: Re: Merge format documented?

From: Jakub Narebski <[email-masked]>
Date: Fri, 27 Mar 2009 09:05:31 -0700 (PDT)

Andreas Gruenbacher <[email-masked]> writes:

> Hello,
> 
> is the format that git normally uses for indicating merge conflicts in files 
> (the <<< === >>> markers) documented somewhere?  How exactly does it differ 
> from the diff3 format (<<< ||| === >>>)?  Diff3's -m mode seems to come close 
> to what git does, except that git doesn't produce the ||| section:

It is rcmerge / merge from RCS / CVS output format (and I think it is
also format used for other VCS), and IIRC it is equivalent to "diff3
-E" format

> Does git ever output a ||| section?

You can ask for it with merge.conflictstyle configuration variable, or
--conflict=<style> option to git-checkout.

-- 
Jakub Narebski
Poland
ShadeHawk on #git